## vdr-plugin-dvd 0.3.4

=== Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#
# $Id$

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.
#
PLUGIN = dvd

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'static const char \*VERSION *=' $(PLUGIN).c | awk '{ print $$6 }' | sed -e 's/[";]//g')

### The C++ compiler and options:

CXX      ?= g++
CXXFLAGS ?= -O2 -Wall -Woverloaded-virtual

### The directory environment:

DVBDIR = ../../../../DVB
VDRDIR = ../../..
LIBDIR = ../../lib
TMPDIR = /tmp
NAVDIR = /usr/include/dvdnav

### Allow user defined options to overwrite defaults:

-include $(VDRDIR)/Make.config

### The version number of VDR (taken from VDR's "config.h"):

VDRVERSION = $(shell grep 'define VDRVERSION ' $(VDRDIR)/config.h | awk '{ print $$3 }' | sed -e 's/"//g')

### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### Includes and Defines (add further entries here):

INCLUDES += -I$(VDRDIR)/include -I$(DVBDIR)/include -I$(NAVDIR)

DEFINES += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"'

LIBS = -ldvdnav -la52

ifdef DJBFFT
LIBS   += -L/usr/lib/djbfft/lib -ldjbfft
endif

ifdef DBG
CXXFLAGS += -g -ggdb -O0
else
CXXFLAGS += -O2
LDFLAGS  += -Wl,--retain-symbols-file,retain-sym
endif

### The object files (add further files here):

OBJS = $(PLUGIN).o dvddev.o player-dvd.o control-dvd.o spu.o     \
	           ca52.o i18n.o setup-dvd.o 

### Implicit rules:

%.o: %.c
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<

# Dependencies:

MAKEDEP = g++ -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

### Targets:

all: libvdr-$(PLUGIN).so

libvdr-$(PLUGIN).so: $(OBJS) retain-sym
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) $(LIBS) -o $@
	@cp $@ $(LIBDIR)/$@.$(VDRVERSION)

dist: clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) --exclude SCCS $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution archive created as $(PACKAGE).tgz


retain-sym:
	echo "VDRPluginCreator" > retain-sym

clean:
	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* retain-sym *~

## vdr-plugin-dvd 0.3.6~b03

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id$
+# $Id: Makefile,v 1.3 2004/06/17 05:33:40 sven Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -16,7 +16,8 @@
 ### The C++ compiler and options:
 
 CXX      ?= g++
-CXXFLAGS ?= -O2 -Wall -Woverloaded-virtual
+CXXFLAGS ?= -O3 -Wall -Woverloaded-virtual
+LDFLAGS  ?= $(CXXFLAGS)
 
 ### The directory environment:
 
@@ -45,6 +46,11 @@
 
 DEFINES += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"'
 
+# to use xine videoout:
+ifdef POLLTIMEOUTS_BEFORE_DEVICECLEAR
+DEFINES += -DPOLLTIMEOUTS_BEFORE_DEVICECLEAR=$(POLLTIMEOUTS_BEFORE_DEVICECLEAR)
+endif
+
 LIBS = -ldvdnav -la52
 
 ifdef DJBFFT
@@ -53,14 +59,15 @@
 
 ifdef DBG
 CXXFLAGS += -g -ggdb -O0
+LDFLAGS  += -g -ggdb -O0
 else
-CXXFLAGS += -O2
-LDFLAGS  += -Wl,--retain-symbols-file,retain-sym
+CXXFLAGS += -O3
+LDFLAGS  += -O3 -Wl,--retain-symbols-file,retain-sym
 endif
 
 ### The object files (add further files here):
 
-OBJS = $(PLUGIN).o dvddev.o player-dvd.o control-dvd.o spu.o     \
+OBJS = $(PLUGIN).o dvddev.o player-dvd.o control-dvd.o dvdspu.o     \
 	           ca52.o i18n.o setup-dvd.o 
 
 ### Implicit rules:
@@ -82,7 +89,7 @@
 all: libvdr-$(PLUGIN).so
 
 libvdr-$(PLUGIN).so: $(OBJS) retain-sym
-	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) $(LIBS) -o $@
+	$(CXX) $(LDFLAGS) -shared $(OBJS) $(LIBS) -o $@
 	@cp $@ $(LIBDIR)/$@.$(VDRVERSION)
 
 dist: clean

## vdr-plugin-dvd 0.3.6~b03+cvs20070813

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile,v 1.3 2004/06/17 05:33:40 sven Exp $
+# $Id: Makefile,v 1.5 2006/05/02 17:52:46 lordzodiac Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -16,12 +16,11 @@
 ### The C++ compiler and options:
 
 CXX      ?= g++
-CXXFLAGS ?= -O3 -Wall -Woverloaded-virtual
+CXXFLAGS ?= -fPIC -O3 -Wall -Woverloaded-virtual
 LDFLAGS  ?= $(CXXFLAGS)
 
 ### The directory environment:
 
-DVBDIR = ../../../../DVB
 VDRDIR = ../../..
 LIBDIR = ../../lib
 TMPDIR = /tmp
@@ -31,9 +30,9 @@
 
 -include $(VDRDIR)/Make.config
 
-### The version number of VDR (taken from VDR's "config.h"):
+### The version number of VDR's plugin API (taken from VDR's "config.h"):
 
-VDRVERSION = $(shell grep 'define VDRVERSION ' $(VDRDIR)/config.h | awk '{ print $$3 }' | sed -e 's/"//g')
+APIVERSION = $(shell sed -ne '/define APIVERSION/s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/config.h)
 
 ### The name of the distribution archive:
 
@@ -42,7 +41,7 @@
 
 ### Includes and Defines (add further entries here):
 
-INCLUDES += -I$(VDRDIR)/include -I$(DVBDIR)/include -I$(NAVDIR)
+INCLUDES += -I$(VDRDIR)/include -I$(NAVDIR)
 
 DEFINES += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"'
 
@@ -90,7 +89,7 @@
 
 libvdr-$(PLUGIN).so: $(OBJS) retain-sym
 	$(CXX) $(LDFLAGS) -shared $(OBJS) $(LIBS) -o $@
-	@cp $@ $(LIBDIR)/$@.$(VDRVERSION)
+	@cp $@ $(LIBDIR)/$@.$(APIVERSION)
 
 dist: clean
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)

## vdr-plugin-dvd 0.3.6~b03+cvs20090426.0013

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile,v 1.5 2006/05/02 17:52:46 lordzodiac Exp $
+# $Id: Makefile,v 1.6 2008/12/23 16:49:04 lordzodiac Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -69,6 +69,10 @@
 OBJS = $(PLUGIN).o dvddev.o player-dvd.o control-dvd.o dvdspu.o     \
 	           ca52.o i18n.o setup-dvd.o 
 
+### The main target:
+
+all: libvdr-$(PLUGIN).so i18n
+
 ### Implicit rules:
 
 %.o: %.c
@@ -83,13 +87,36 @@
 
 -include $(DEPFILE)
 
+### Internationalization (I18N):
+
+PODIR     = po
+LOCALEDIR = $(VDRDIR)/locale
+I18Npo    = $(wildcard $(PODIR)/*.po)
+I18Nmsgs  = $(addprefix $(LOCALEDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
+I18Npot   = $(PODIR)/$(PLUGIN).pot
+
+%.mo: %.po
+	msgfmt -c -o $@ $<
+
+$(I18Npot): $(wildcard *.c)
+	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --msgid-bugs-address='<marco@lordzodiac.de>' -o $@ $^
+
+%.po: $(I18Npot)
+	msgmerge -U --no-wrap --no-location --backup=none -q $@ $<
+	@touch $@
+
+$(I18Nmsgs): $(LOCALEDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
+	@mkdir -p $(dir $@)
+	cp $< $@
+
+.PHONY: i18n
+i18n: $(I18Nmsgs) $(I18Npot)
+
 ### Targets:
-
-all: libvdr-$(PLUGIN).so
 
 libvdr-$(PLUGIN).so: $(OBJS) retain-sym
 	$(CXX) $(LDFLAGS) -shared $(OBJS) $(LIBS) -o $@
-	@cp $@ $(LIBDIR)/$@.$(APIVERSION)
+	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
 
 dist: clean
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
@@ -97,11 +124,9 @@
 	@cp -a * $(TMPDIR)/$(ARCHIVE)
 	@tar czf $(PACKAGE).tgz -C $(TMPDIR) --exclude SCCS $(ARCHIVE)
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
-	@echo Distribution archive created as $(PACKAGE).tgz
-
-
+	@echo Distribution package created as $(PACKAGE).tgz
 retain-sym:
 	echo "VDRPluginCreator" > retain-sym
 
 clean:
-	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* retain-sym *~
+	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* retain-sym *~ $(PODIR)/*.mo $(PODIR)/*.pot

=== debian/changelog ===
vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-28build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 17:01:56 +0100

vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-28) unstable; urgency=medium

  * Standards-Version: 4.4.1

 -- Tobias Grimm <etobi@debian.org>  Fri, 01 Nov 2019 13:19:31 +0100

vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-27) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Use the host architecture pkg-config. (Closes: #933198)

  [ Tobias Grimm ]
  * Standards-Version: 4.4.0

 -- Tobias Grimm <etobi@debian.org>  Sun, 28 Jul 2019 20:34:36 +0200

vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-26) unstable; urgency=medium

  * Build-depend on vdr-dev >= 2.4.1

 -- Tobias Grimm <etobi@debian.org>  Fri, 19 Jul 2019 07:27:51 +0200

vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-25) unstable; urgency=medium

  * VCS moved to salsa.debian.org
  * Replaced priority extra with optional
  * Build-depend on vdr-dev (>= 2.4.0)
  * Fixed spelling error in patch description

 -- Tobias Grimm <etobi@debian.org>  Sun, 15 Apr 2018 19:04:22 +0200

vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-24) unstable; urgency=medium

  * Build-depend on vdr-dev >= 2.3.8
  * Standards-Version: 3.9.8

 -- Tobias Grimm <etobi@debian.org>  Wed, 16 Aug 2017 23:00:08 +0200

vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-23) unstable; urgency=medium

  * Now supporting the /etc/vdr/conf.d mechanism

 -- Tobias Grimm <etobi@debian.org>  Mon, 23 Mar 2015 20:07:39 +0100

vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-22) unstable; urgency=medium

  * Build-depend on vdr-dev (>= 2.2.0)

 -- Tobias Grimm <etobi@debian.org>  Thu, 19 Feb 2015 12:39:31 +0100

vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-21) unstable; urgency=medium

  * Build-depend on vdr-dev (>= 2.1.10)
  * Standards-Version: 3.9.6
  * Added vdr 2.1.x compatibility patch from Lars Hanisch / yaVDR

 -- Tobias Grimm <etobi@debian.org>  Mon, 16 Feb 2015 22:41:23 +0100

vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-20) unstable; urgency=medium

  * Build-depend on vdr-dev (>= 2.0.6)
  * Standards-Version: 3.9.5

 -- Tobias Grimm <etobi@debian.org>  Sun, 26 Oct 2014 14:06:18 +0100

vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-19) unstable; urgency=low

  * Build-depend on vdr-dev (>= 2.0.0)

 -- Tobias Grimm <etobi@debian.org>  Sun, 31 Mar 2013 14:00:02 +0200

vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-18) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.42)

 -- Tobias Grimm <etobi@debian.org>  Sat, 23 Mar 2013 20:48:05 +0100

vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-17) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.41)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Mar 2013 19:44:18 +0100

vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-16) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.40)

 -- Tobias Grimm <etobi@debian.org>  Sun, 10 Mar 2013 18:50:35 +0100

vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-15) unstable; urgency=low

  * Debhelper 9
  * Build-depend on vdr-dev (>= 1.7.39)

 -- Tobias Grimm <etobi@debian.org>  Tue, 05 Mar 2013 19:38:05 +0100

vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-14) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.28)

 -- Tobias Grimm <etobi@debian.org>  Sat, 09 Jun 2012 13:13:59 +0200

vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-13) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.27)

 -- Tobias Grimm <etobi@debian.org>  Thu, 19 Apr 2012 23:03:12 +0200

vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-12) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.26)
  * Standards-Version: 3.9.3

 -- Tobias Grimm <etobi@debian.org>  Sun, 25 Mar 2012 13:35:52 +0200

vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-11) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.23)

 -- Tobias Grimm <etobi@debian.org>  Sun, 29 Jan 2012 19:05:15 +0100

vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-10) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.22)
  * When including dvdnvav.h define/undefine the "this" keyword, used in
    dvdnav.h (Closes: #642673)

 -- Tobias Grimm <etobi@debian.org>  Mon, 12 Dec 2011 20:22:27 +0100

vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-9) unstable; urgency=low

  * Switched to GIT using pristine tar

 -- Tobias Grimm <etobi@debian.org>  Sat, 29 Oct 2011 20:09:34 +0200

vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-8) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.21)

 -- Tobias Grimm <etobi@debian.org>  Sun, 18 Sep 2011 18:23:54 +0200

vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-7) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.20)
  * Standards-Version: 3.9.2

 -- Tobias Grimm <etobi@debian.org>  Sat, 20 Aug 2011 15:25:38 +0200

vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-6) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.19)
  * Fixed package description

 -- Tobias Grimm <etobi@debian.org>  Sun, 19 Jun 2011 22:31:49 +0200

vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-5) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.18)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Apr 2011 20:06:35 +0200

vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-4) unstable; urgency=low

  * Build-depend on vdr-dev >= 1.7.17
  * Updated debian/copyright
  * Standards-Version: 3.9.1
  * Switched to debhelper 7 and dropped cdbs

 -- Tobias Grimm <etobi@debian.org>  Sat, 09 Apr 2011 17:21:23 +0200

vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-3) unstable; urgency=low

  * Build-depend on vdr-dev >= 1.6.0-16
  * Bumped standards version to 3.8.4
  * Minor debian/copyright update

 -- Tobias Grimm <etobi@debian.org>  Sun, 28 Mar 2010 14:54:26 +0200

vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-2) unstable; urgency=low

  * Removed non-standard shebang line from debian/rules (Closes: #552640)
  * Added README.source
  * Standards-Version: 3.8.3

 -- Tobias Grimm <etobi@debian.org>  Sun, 08 Nov 2009 23:20:21 +0100



=== debian/control ===
Source: vdr-plugin-dvd
Section: video
Priority: optional
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
Build-Depends: debhelper (>= 9),
 vdr-dev (>= 2.4.1),
 pkg-config,
 gettext,
 libdvdnav-dev (>=4.1.2-3),
 liba52-0.7.4-dev
Standards-Version: 4.4.1
Homepage: http://sourceforge.net/projects/dvdplugin
Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-dvd.git
Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-dvd

Package: vdr-plugin-dvd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Suggests: libdvdcss2
Description: DVD playback plugin for VDR
 This plugin for VDR allows one to play back DVD Video discs
 from within VDR.

=== debian/watch ===
version=3
opts="uversionmangle=s/_/\~/g" \
    http://sf.net/dvdplugin/vdr-dvd-(.*)\.(?:tgz|tar|bz2)

## vdr-plugin-dvd 0.3.6~b03+git20211216

=== Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#
# $Id: Makefile,v 1.6 2008/12/23 16:49:04 lordzodiac Exp $

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.
#
PLUGIN = dvd

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'static const char \*VERSION *=' $(PLUGIN).c | awk '{ print $$6 }' | sed -e 's/[";]//g')

### The directory environment:

PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell pkg-config --variable=$(1) vdr || pkg-config --variable=$(1) ../../../vdr.pc))
LIBDIR = $(DESTDIR)$(call PKGCFG,libdir)
LOCDIR = $(DESTDIR)$(call PKGCFG,locdir)

TMPDIR ?= /tmp
### Allow user defined options to overwrite defaults:
export CFLAGS   = $(call PKGCFG,cflags)
export CXXFLAGS = $(call PKGCFG,cxxflags)

### The version number of VDR's plugin API (taken from VDR's "config.h"):

APIVERSION = $(call PKGCFG,apiversion)
### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### The name of the shared object file:

SOFILE = libvdr-$(PLUGIN).so

### Includes and Defines (add further entries here):

INCLUDES +=

DEFINES += -DPLUGIN_NAME_I18N='"$(PLUGIN)"'

# to use xine videoout:
ifdef POLLTIMEOUTS_BEFORE_DEVICECLEAR
DEFINES += -DPOLLTIMEOUTS_BEFORE_DEVICECLEAR=$(POLLTIMEOUTS_BEFORE_DEVICECLEAR)
endif

LIBS = -ldvdnav -la52

ifdef DJBFFT
LIBS   += -L/usr/lib/djbfft/lib -ldjbfft
endif

ifdef DBG
CXXFLAGS += -g -ggdb -O0
LDFLAGS  += -g -ggdb -O0
else
CXXFLAGS += -O3
LDFLAGS  += -O3 -Wl,--retain-symbols-file,retain-sym
endif

### The object files (add further files here):

OBJS = $(PLUGIN).o dvddev.o player-dvd.o control-dvd.o dvdspu.o     \
	           ca52.o i18n.o setup-dvd.o 

### The main target:

all: $(SOFILE) i18n

### Implicit rules:

%.o: %.c
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<

# Dependencies:

MAKEDEP = g++ -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

### Internationalization (I18N):

PODIR     = po
I18Npo    = $(wildcard $(PODIR)/*.po)
I18Nmo    = $(addsuffix .mo, $(foreach file, $(I18Npo), $(basename $(file))))
I18Nmsgs  = $(addprefix $(LOCDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
I18Npot   = $(PODIR)/$(PLUGIN).pot

%.mo: %.po
	msgfmt -c -o $@ $<

$(I18Npot): $(wildcard *.c)
	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --msgid-bugs-address='<marco@lordzodiac.de>' -o $@ `ls $^`

%.po: $(I18Npot)
	msgmerge -U --no-wrap --no-location --backup=none -q -N $@ $<
	@touch $@

$(I18Nmsgs): $(LOCDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
	install -D -m644 $< $@

.PHONY: i18n
i18n: $(I18Nmo) $(I18Npot)

install-i18n: $(I18Nmsgs)

### Targets:

$(SOFILE): $(OBJS) retain-sym
	$(CXX) $(LDFLAGS) -shared $(OBJS) $(LIBS) -o $@

install-lib: $(SOFILE)
	install -D $^ $(LIBDIR)/$^.$(APIVERSION)

install: install-lib install-i18n


dist: clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) --exclude SCCS $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz
retain-sym:
	echo "VDRPluginCreator" > retain-sym

clean:
	@-rm -f $(PODIR)/*.mo $(PODIR)/*.pot
	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~

=== debian/changelog ===
vdr-plugin-dvd (0.3.6~b03+git20211216-2) unstable; urgency=medium

  * Remove Thomas Günther and Thomas Schmidt from uploaders
  * Build-depend on vdr 2.6.0 and update standards version to 4.6.0

 -- Tobias Grimm <etobi@debian.org>  Thu, 06 Jan 2022 19:07:51 +0100

vdr-plugin-dvd (0.3.6~b03+git20211216-1) unstable; urgency=medium

  * New Upstream Snapshot (commit 7d45582)
  * Project moved to community maintained GitHub site
  * Depend on debhelper-compat (= 13)
  * Build-Depend on vdr >= 2.4.7
  * New upstream version 0.3.6~b03+git20211216
  * Fix FTCBFS: Use the host architecture pkg-config

 -- Tobias Grimm <etobi@debian.org>  Thu, 16 Dec 2021 22:10:52 +0100

=== debian/control ===
Source: vdr-plugin-dvd
Section: video
Priority: optional
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Tobias Grimm <etobi@debian.org>
Build-Depends: debhelper-compat (= 13),
 vdr-dev (>= 2.6.0),
 pkg-config,
 gettext,
 libdvdnav-dev (>=4.1.2-3),
 liba52-0.7.4-dev
Standards-Version: 4.6.0
Homepage: https://github.com/vdr-projects/vdr-plugin-dvd
Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-dvd.git
Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-dvd

Package: vdr-plugin-dvd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Suggests: libdvdcss2
Description: DVD playback plugin for VDR
 This plugin for VDR allows one to play back DVD Video discs
 from within VDR.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/vdr-plugin-dvd-$1\.tar\.gz/ \
  https://github.com/vdr-projects/vdr-plugin-dvd/tags .*/v?(\d\S+)\.tar\.gz

## vdr-plugin-dvd 0.3.6%7eb03%2bcvs20090426.0013

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

MAKE_OPTIONS = VDRDIR=/usr/include/vdr LIBDIR=. LOCALEDIR=locale

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- all $(MAKE_OPTIONS)

override_dh_auto_clean:
	$(MAKE) -o .dependencies clean $(MAKE_OPTIONS)
	rm -rf locale libvdr-*.so.*

override_dh_gencontrol:
	sh /usr/share/vdr-dev/dependencies.sh
	dh_gencontrol

get-vcs-snapshot:
	ruby debian/get-vcs-snapshot.rb

## vdr-plugin-dvd 0.3.7

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,8 @@
 
 ### The directory environment:
 
-PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell pkg-config --variable=$(1) vdr || pkg-config --variable=$(1) ../../../vdr.pc))
+PKG_CONFIG ?= pkg-config
+PKGCFG = $(if $(VDRDIR),$(shell $(PKG_CONFIG) --variable=$(1) $(VDRDIR)/vdr.pc),$(shell $(PKG_CONFIG) --variable=$(1) vdr || $(PKG_CONFIG) --variable=$(1) ../../../vdr.pc))
 LIBDIR = $(DESTDIR)$(call PKGCFG,libdir)
 LOCDIR = $(DESTDIR)$(call PKGCFG,locdir)
 
@@ -59,6 +60,10 @@
 else
 CXXFLAGS += -O3
 LDFLAGS  += -O3 -Wl,--retain-symbols-file,retain-sym
+endif
+
+ifdef RESUMEDIR
+  DEFINES += -DRESUMEDIR=\"$(RESUMEDIR)\"
 endif
 
 ### The object files (add further files here):

=== debian/changelog ===
vdr-plugin-dvd (0.3.7-1) unstable; urgency=medium

  * New upstream version 0.3.7
  * update my uploader address
  * update und remove obsolete patches

 -- Christoph Martin <chrism@debian.org>  Thu, 13 Mar 2025 18:56:11 +0100

vdr-plugin-dvd (0.3.6~b03+git20211216-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on libdvdnav-dev.
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Set upstream metadata fields: Repository.
  * Update standards version to 4.6.2, no changes needed.

  [ Christoph Martin ]
  * fix clean target
  * add myself as uploader
  * change build-depends from pkg-config to pkgconf

 -- Christoph Martin <martin@uni-mainz.de>  Thu, 06 Feb 2025 23:04:27 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: video
 Priority: optional
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
-Uploaders: Tobias Grimm <etobi@debian.org>
+Uploaders: Tobias Grimm <etobi@debian.org>,
+ Christoph Martin <chrism@debian.org>
 Build-Depends: debhelper-compat (= 13),
  vdr-dev (>= 2.6.0),
- pkg-config,
+ pkgconf,
  gettext,
- libdvdnav-dev (>=4.1.2-3),
+ libdvdnav-dev,
  liba52-0.7.4-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/vdr-projects/vdr-plugin-dvd
 Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-dvd.git
 Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-dvd

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with vdrplugin

override_dh_auto_clean:
	dh_auto_clean
	-rm -f retain-sym

get-vcs-snapshot:
	sh debian/get-vcs-snapshot.sh
